    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ----------------
    028 * XisSymbolic.java
    029 * ----------------
    030 * (C) Copyright 2006-2008, by Anthony Boulestreau and Contributors.
    031 *
    032 * Original Author:  Anthony Boulestreau;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * Changes
    036 * -------
    037 * 29-Mar-2002 : First version (AB);
    038 * 07-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    039 * 02-Feb-2007 : Removed author tags all over JFreeChart sources (DG);
    040 *
    041 */
    042
    043package org.jfree.data.xy;
    044
    045/**
    046 * Represent a data set where X is a symbolic values. Each symbolic value is
    047 * linked with an Integer.
    048 */
    049public interface XisSymbolic {
    050
    051    /**
    052     * Returns the list of symbolic values.
    053     *
    054     * @return An array of symbolic values.
    055     */
    056    public String[] getXSymbolicValues();
    057
    058    /**
    059     * Returns the symbolic value of the data set specified by
    060     * <CODE>series</CODE> and <CODE>item</CODE> parameters.
    061     *
    062     * @param series  value of the serie.
    063     * @param item  value of the item.
    064     *
    065     * @return The symbolic value.
    066     */
    067    public String getXSymbolicValue(int series, int item);
    068
    069    /**
    070     * Returns the symbolic value linked with the specified
    071     * <CODE>Integer</CODE>.
    072     *
    073     * @param val  value of the integer linked with the symbolic value.
    074     *
    075     * @return The symbolic value.
    076     */
    077    public String getXSymbolicValue(Integer val);
    078
    079}